Skip to navigation

List Vehicle Locations

Get a paginated list of vehicle locations accessible to your organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

only_latestbooleanOptionalDefaults to true
If true, only the latest known location per vehicle is returned.
include_vehiclebooleanOptionalDefaults to false

If true, each location will include a vehicle object with basic vehicle information. Locations without a matching vehicle will have vehicle set to null.

include_driverbooleanOptionalDefaults to false

If true, each location will include driver and co_driver objects with basic driver information. Locations without a matching driver/co-driver will have that field set to null.

fleet_idslist of strings or nullOptional

Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

fleet_refslist of strings or nullOptional

Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

connection_idstring or nullOptionalformat: "uuid"
Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
from_datetimedatetimeOptional

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

to_datetimedatetimeOptional

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

driver_idslist of strings or nullOptional

Limit results to specific drivers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?driver_ids=id1&driver_ids=id2).

vehicle_idslist of strings or nullOptional

Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).

include_source_databooleanOptionalDefaults to false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

cursorstring or nullOptional
Cursor for the next page
sizeintegerOptional1-1000Defaults to 300
Page size

Response

Successful Response
itemslist of objects
totalinteger>=0
current_pagestring or nullOptional
Cursor to refetch the current page
current_page_backwardsstring or nullOptional
Cursor to refetch the current page starting from the last item
previous_pagestring or nullOptional
Cursor for the previous page
next_pagestring or nullOptional
Cursor for the next page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error